GNU bug report logs - #39375
[PATCH] gnu: emacs-utils: Port to emacs-next.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Leo Prikler <leo.prikler@HIDDEN>; Keywords: patch; dated Fri, 31 Jan 2020 20:03:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 39375 <at> debbugs.gnu.org:


Received: (at 39375) by debbugs.gnu.org; 27 Feb 2020 13:20:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 27 08:20:23 2020
Received: from localhost ([127.0.0.1]:58854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7J5T-0001Ae-7l
	for submit <at> debbugs.gnu.org; Thu, 27 Feb 2020 08:20:23 -0500
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:43785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1j7J5S-0001AR-Aj
 for 39375 <at> debbugs.gnu.org; Thu, 27 Feb 2020 08:20:22 -0500
X-Originating-IP: 92.169.129.147
Received: from bababa (lfbn-idf2-1-1315-147.w92-169.abo.wanadoo.fr
 [92.169.129.147]) (Authenticated sender: mail@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id AA10BC0011;
 Thu, 27 Feb 2020 13:20:15 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>
Subject: Re: [bug#39375] [PATCH] gnu: emacs-utils: Port to emacs-next.
In-Reply-To: <4ed9f5be42ba03d43d411a637d20db6c801ecf6a.camel@HIDDEN>
References: <20200131200222.23792-1-leo.prikler@HIDDEN>
 <87blpk71sp.fsf@HIDDEN>
 <4ed9f5be42ba03d43d411a637d20db6c801ecf6a.camel@HIDDEN>
Date: Thu, 27 Feb 2020 14:20:15 +0100
Message-ID: <8736aw6ub4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: So push to staging? -- Pierre Neidhardt https://ambrevar.xyz/
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.198 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 39375
Cc: 39375 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  So push to staging? -- Pierre Neidhardt https://ambrevar.xyz/
    
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.198 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

So push to staging?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl5Xwg8ACgkQm9z0l6S7
zH8+yAf/cqGxOhswB/FkfmJXLKjoBOfd1fc+tjJZSrbcJmzUe8scZpLxMcYCJ8JG
y8WXgDsvjCMHpfVLjJgvyIj6e/CTKmrhrhqh5MojWOekLWCQz4KlDqdM3/dJ2X2O
iuAIwbxemyknI/fql7pOQIsQUyx3WjEqvLeaeBfwCh2VBKhh+Gc77ElX3nO0Z9Wp
doSXRHZ50ODd3xJJavuxJ3OKp8SJ+cU8iwF7fxMAh8jaHKOjKqwKTLWdlUvNcJjI
c0mhBxTf++UW+Wz1i5NCvuStMLy1kDlzof7deWmnZBYwjzAz3acTeqaoCgTo9zZd
5WVfXOFw2U1tQUBWwOdltg2+UJUYEw==
=Ag+A
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#39375; Package guix-patches. Full text available.

Message received at 39375 <at> debbugs.gnu.org:


Received: (at 39375) by debbugs.gnu.org; 27 Feb 2020 10:54:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 27 05:54:51 2020
Received: from localhost ([127.0.0.1]:58771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7Goc-0001Pv-Oy
	for submit <at> debbugs.gnu.org; Thu, 27 Feb 2020 05:54:50 -0500
Received: from mailrelay.tugraz.at ([129.27.2.202]:5731)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1j7Gob-0001Pn-GY
 for 39375 <at> debbugs.gnu.org; Thu, 27 Feb 2020 05:54:49 -0500
Received: from nijino.local (194-118-3-109.hdsl.highway.telekom.at
 [194.118.3.109])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 48SqLb4pkHz1LWpP;
 Thu, 27 Feb 2020 11:54:47 +0100 (CET)
DKIM-Filter: OpenDKIM Filter v2.11.0 mailrelay.tugraz.at 48SqLb4pkHz1LWpP
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1582800887;
 bh=TQ/t8OUuR5R8iBFZ8k0seonVR8tML45vkxTbCU+aDAc=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References:From;
 b=TWspcgzv9EloeQqMKiYoax1WSn8qkq7T+OsUqT2wzWmxLj+T98IonbOApJ+ENVWRU
 evqn9cSgFXHhe0ian+fJiWRvv6gtakkMJZxTXS0uYO2+WOBMJgynrNaHAzlkpv2U7Z
 mvTZvCf8x9QwCUk3nIXRGTaMFfV4m5tCyX3EwWv0=
Message-ID: <4ed9f5be42ba03d43d411a637d20db6c801ecf6a.camel@HIDDEN>
Subject: Re: [bug#39375] [PATCH] gnu: emacs-utils: Port to emacs-next.
From: Leo Prikler <leo.prikler@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Date: Thu, 27 Feb 2020 11:54:53 +0100
In-Reply-To: <87blpk71sp.fsf@HIDDEN>
References: <20200131200222.23792-1-leo.prikler@HIDDEN>
 <87blpk71sp.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.32.4 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39375
Cc: 39375 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Donnerstag, den 27.02.2020, 11:38 +0100 schrieb Pierre Neidhardt:
> Looks good to me.  Anything blocking this?
AFAIK the change should be backwards-compatible, so it's just the
rebuilds of all emacs libraries.





Information forwarded to guix-patches@HIDDEN:
bug#39375; Package guix-patches. Full text available.

Message received at 39375 <at> debbugs.gnu.org:


Received: (at 39375) by debbugs.gnu.org; 27 Feb 2020 10:38:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 27 05:38:48 2020
Received: from localhost ([127.0.0.1]:58743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j7GZ5-0007Q0-Ne
	for submit <at> debbugs.gnu.org; Thu, 27 Feb 2020 05:38:47 -0500
Received: from relay12.mail.gandi.net ([217.70.178.232]:40767)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1j7GZ4-0007Pe-Ia
 for 39375 <at> debbugs.gnu.org; Thu, 27 Feb 2020 05:38:47 -0500
Received: from bababa (lfbn-idf2-1-1315-147.w92-169.abo.wanadoo.fr
 [92.169.129.147]) (Authenticated sender: mail@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id F0DEC20001F;
 Thu, 27 Feb 2020 10:38:30 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>
Subject: Re: [bug#39375] [PATCH] gnu: emacs-utils: Port to emacs-next.
References: <20200131200222.23792-1-leo.prikler@HIDDEN>
Date: Thu, 27 Feb 2020 11:38:30 +0100
In-Reply-To: <20200131200222.23792-1-leo.prikler@HIDDEN> (Leo
 Prikler's message of "Fri, 31 Jan 2020 21:02:23 +0100")
Message-ID: <87blpk71sp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Looks good to me. Anything blocking this? -- Pierre Neidhardt
 https://ambrevar.xyz/ 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.178.232 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 39375
Cc: 39375 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Looks good to me. Anything blocking this? -- Pierre Neidhardt
    https://ambrevar.xyz/ 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.178.232 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Looks good to me.  Anything blocking this?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl5XnCYACgkQm9z0l6S7
zH8VyQf/UvKxIBdHtI+WJ3Ru/FWZrikD4KNsjsDtkuG6hBm68eXa2DzYrfawdjvT
J+FGnOu1C718aajQWan4usOwRjJoyX4GCl4vkdP1uJY5zUA2ddw3UPoTlx1NEpQt
f0k+1JHS+N01L2NzHGdEbvDNwpCXXE0sON/pJa/j6RuMU3kxKHhJBy0fey28dTqT
EQ5crnUrByYSPTPscMKnaXAA+q9PJ+DWNQ1hpvGAi1RNemrC040gkpcB07Qqr0Uh
PXYYCuvKXGChckavsl/MNi3br0olMYJa7dpm23v0s8CobPv65fzpX0OqqAOdS+f/
LpHL5osDMqE4bP4AGiuNk/Ui9/XOjQ==
=N1d9
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#39375; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Jan 2020 20:02:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 31 15:02:45 2020
Received: from localhost ([127.0.0.1]:38133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ixcV2-00040o-PD
	for submit <at> debbugs.gnu.org; Fri, 31 Jan 2020 15:02:44 -0500
Received: from lists.gnu.org ([209.51.188.17]:53010)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1ixcV1-00040h-OU
 for submit <at> debbugs.gnu.org; Fri, 31 Jan 2020 15:02:44 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:39014)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <leo.prikler@HIDDEN>) id 1ixcV0-00014b-6P
 for guix-patches@HIDDEN; Fri, 31 Jan 2020 15:02:43 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_40,RCVD_IN_DNSWL_MED,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <leo.prikler@HIDDEN>) id 1ixcUy-0000JH-Jl
 for guix-patches@HIDDEN; Fri, 31 Jan 2020 15:02:41 -0500
Received: from mailrelay.tugraz.at ([129.27.2.202]:30190)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <leo.prikler@HIDDEN>)
 id 1ixcUy-0000Dt-3H
 for guix-patches@HIDDEN; Fri, 31 Jan 2020 15:02:40 -0500
Received: from localhost.localdomain (194-118-251-194.hdsl.highway.telekom.at
 [194.118.251.194])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 488Sn80YsSz1LgFk
 for <guix-patches@HIDDEN>; Fri, 31 Jan 2020 21:02:35 +0100 (CET)
DKIM-Filter: OpenDKIM Filter v2.11.0 mailrelay.tugraz.at 488Sn80YsSz1LgFk
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1580500956;
 bh=qD/QeNXEwWcJGpzFFXr9ddz/szKS3Dlr3Bc1A2Imwt8=;
 h=From:To:Subject:Date:From;
 b=YzKsgfq2YDgLissivelON4VuH1kiMFsy4fK7Vfm/y7tQNuyYKQqOMOnt8A9CbhvbY
 HCqFhgXvhgB+63ylKzI6JoyF5MKpCo42b2XuQRewoJVM5B15eyEpkDPDmnIu5CiCIB
 TIiKYSjkXHiViPCpt6XxujvnD3uQ/BcRhn3iUztQ=
From: Leo Prikler <leo.prikler@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: emacs-utils: Port to emacs-next.
Date: Fri, 31 Jan 2020 21:02:23 +0100
Message-Id: <20200131200222.23792-1-leo.prikler@HIDDEN>
X-Mailer: git-send-email 2.25.0
MIME-Version: 1.0
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 129.27.2.202
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

* guix/build/emacs-utils.scm (emacs-batch-eval*): New variable.
(emacs-generate-autoloads): Redefine in terms of emacs-batch-eval*.
Require autoload (needed with emacs-next).
---
 guix/build/emacs-utils.scm | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/guix/build/emacs-utils.scm b/guix/build/emacs-utils.scm
index 885fd0a217..1462f9d0af 100644
--- a/guix/build/emacs-utils.scm
+++ b/guix/build/emacs-utils.scm
@@ -23,6 +23,7 @@
   #:use-module (guix build utils)
   #:export (%emacs
             emacs-batch-eval
+            emacs-batch-eval*
             emacs-batch-edit-file
             emacs-batch-disable-compilation
             emacs-generate-autoloads
@@ -46,6 +47,14 @@
   (invoke (%emacs) "--quick" "--batch"
           (format #f "--eval=3D~S" expr)))
=20
+(define (emacs-batch-eval* . exprs)
+  "Run Emacs in batch mode, and execute all of the elisp expressions EXP=
RS."
+  (apply invoke (%emacs) "--quick" "--batch"
+         (map
+          (lambda (expr)
+            (format #f "--eval=3D~S" expr))
+          exprs)))
+
 (define (emacs-batch-edit-file file expr)
   "Load FILE in Emacs using batch mode, and execute the elisp code EXPR.=
"
   (invoke (%emacs) "--quick" "--batch"
@@ -64,7 +73,7 @@
          (expr `(let ((backup-inhibited t)
                       (generated-autoload-file ,file))
                   (update-directory-autoloads ,directory))))
-    (emacs-batch-eval expr)))
+    (emacs-batch-eval* '(require 'autoload) expr)))
=20
 (define* (emacs-byte-compile-directory dir)
   "Byte compile all files in DIR and its sub-directories."
--=20
2.25.0





Acknowledgement sent to Leo Prikler <leo.prikler@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#39375; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 27 Feb 2020 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.